#
#  Gnome configuration
#
#  flake.nix
#   ├─ ./hosts
#   │   └─ ./laptop
#   │       └─ default.nix
#   └─ ./modules
#       └─ ./desktop
#           └─ ./gnome
#               └─ default.nix *
#
{ config, lib, user, pkgs, jovian-nixos, ... }:

{
    imports = [ 
      (jovian-nixos + "/modules")
    ];

    jovian = {
        steam.enable = true;
        devices.steamdeck = {
            enable = true;
        };
    };

    hardware.opengl = {
      enable = true;
      driSupport = true;
      driSupport32Bit = true;
    };

    environment.systemPackages = with pkgs; [
      gnome.gnome-terminal
      gnomeExtensions.dash-to-dock
      steamdeck-firmware
      rocm-opencl-icd
      rocm-opencl-runtime
      clinfo
    ];

    services = {
      xserver = {
        desktopManager.gnome.enable = true;
        displayManager = {
          gdm.wayland = true;
          defaultSession = "steam-wayland";
          autoLogin.enable = true;
          autoLogin.user = "kabbone";
        };
      };
    };

}
